summaryrefslogtreecommitdiffstats
path: root/git/pylint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git/pylint.sh')
-rwxr-xr-xgit/pylint.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/git/pylint.sh b/git/pylint.sh
new file mode 100755
index 000000000..286747565
--- /dev/null
+++ b/git/pylint.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+
+OLDREV=$1
+NEWREV=$2
+TRG_BRANCH=$3
+
+PYTHON=/var/lib/jenkins/python27/bin/python
+
+/usr/bin/git diff --name-only $OLDREV $NEWREV --diff-filter=ACM | \
+ grep ".py$" | \
+ xargs -r -I{} ${PYTHON} -m pylint --rcfile ${WORKSPACE}/git/.pylintrc {}
+
+exit $?